libtelepathy (0.3.1-0osso2) unstable; urgency=low

  * Added missing files to the package

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Fri, 07 Dec 2007 13:04:43 +0100

libtelepathy (0.3.1-0osso1) unstable; urgency=low

  * Correct .pc file
  * Fix check-compat for out of tree builds
  * Use $(srcdir) for whitelist.txt, deprecated.txt
  * Version 0.3.1 (libtool c:r:a = 8:0:6)
  * Turn off -Werror in everything_CFLAGS now I know it works
  * Generate a header containing all of libtelepathy's public API and check that it can be included in a file that also includes all of telepathy-glib's public API
  * Use the spec's copy of Channel_Handler, not ours
  * Split "whitelisted" (= tp-glib) constants away from deprecated ones.
  * Update spec to 0.17.0
  * Re-order configure.ac so we set $PKG_CONFIG before trying to use it
  * Sync c-constants-generator, c-interfaces-generator from telepathy-glib 0.7.0
  * Instead of using our own copy of the whitelisted interface declarations/macros, use tp-glib's
  * Require telepathy-glib 0.7.0, and use *its* version of tp_get_bus(), tp_get_bus_proxy() and the stable tp_iface_quark_* functions
  * Do all checking for libraries at once
  * Link against telepathy-glib 0.6.x (only!); remove our version of tp_get_bus(|_proxy) in favour of using telepathy-glib's
  * Make src/ before src/check-compat/
  * Move check-backwards-compat to new directory src/check-compat/ and add tests that all headers are individually includable *without* LIBTELEPATHY_DISABLE_DEPRECATED (we know they're includable *with* that symbol, because of src/*.c)
  * Separate generation of tp-glib-like interface (quark) stuff from generation of libtp aliases
  * Split interface quark code into deprecated and whitelisted interfaces
  * Add machinery for splitting interfaces into supported and deprecated. Compile all code from the combined list for now
  * Generate LIBTELEPATHY_DISABLE_DEPRECATED guards around the old interface quark names
  * Change some header guards to LIBTELEPATHY_* to avoid possible conflicts with telepathy-glib
  * Avoid use of some deprecated #defines in libtelepathy itself
  * Compile everything except check-backwards-compat.c with -DLIBTELEPATHY_DISABLE_DEPRECATED
  * Fix some of the backwards-compat glue (bugs.fd.o #13282)
  * Add a simple check for some of the backwards-compat glue (bugs.fd.o #13282)
  * Unset release flag
  * version 0.3.0 (libtool c:r:a = 7:0:5)
  * Add tp_connmgr_new_connection_without_connect - same reasoning as tp_conn_new_without_connect
  * Deprecate various unwanted API
  * Sync codegen tools from telepathy-glib
  * Fix indentation in tp-conn.c
  * libtp-add-signal-gen.py: generate less redundancy
  * src/tp-chan.c: indentation
  * Fix some uses of deprecated constant names
  * Only generate #defines in libtp-constants-generator, and use the normal c-constants-generator to generate the "official" naming
  * Make the official names for libtelepathy connection constants match the tp-glib ones; generate #defines to remap them
  * Make the official name of the libtelepathy enums TpFoo, with TelepathyFoo as a #define (for alignment with telepathy-glib)
  * Comment functions that already exist in telepathy-glib
  * Generate signals marshaller implementations in _gen/
  * _boring: no longer ignore *-signals-marshal.c, they should be generated in _gen/ anyway
  * tp-conn-ifaces-signal-setters.[ch]: Telepathy coding style
  * tp-*-ifaces-signal-setters.[ch]: fix copyright headers
  * tp-chan-ifaces-signal-setters.c: Telepathy coding style
  * src/Makefile.am: simplify; check coding style of all hanrwritten C sources
  * Add coding style check tools (from telepathy-glib)
  * tp-props-iface.h: Telepathy coding style
  * tp-props-iface.c: fix copyright header
  * tp-helpers.h: prune trailing whitespace
  * tp-helpers.c: more whitespace
  * tp-connmgr.h: Telepathy coding style
  * tp-connmgr.h: fix copyright header
  * tp-conn.h: Telepathy coding style
  * tp-conn.h: fix copyright header
  * tp-conn.c: tweak comment to fix coding-style-check falsepositive
  * tp-chan.h: Telepathy coding style
  * tp-chan.h: fix copyright header
  * _boring: ignore tp-get-connmgr-info executable
  * Merge with HEAD: revert Guillaume's addition of NewTube marshaller
  * tp-props-iface: style
  * tp-props-iface: use shared marshaller-registration, get rid of useless dispose(), fix style of class_init
  * tp-props-iface: fix style, hoist static functions
  * tp-helpers.h: use the auto-generated constants
  * tp-helpers.h: style
  * tp-helpers.h: style
  * tp-constants.h: fix whitespace
  * Indentation
  * Indentation
  * Indentation
  * Whitespace/style
  * Whitespace/style
  * Whitespace/style
  * tp-helpers: fix parsing of default-foo in .manager files
  * tp-helpers: whitespace
  * tp-helpers: whitespace
  * tp-helpers: stylistic fixes to tp_connmgr_info_free
  * tp-helpers: Remove useless forward declaration of _scan_dir
  * Hoist, reformat _prot_param_free in tp-helpers.c
  * tp-helpers: hoist _list_builder, reformat
  * tp-helpers: stylistic fixes
  * tp-helpers: fix copyright
  * tp-conn: fix copyright header
  * tp-conn: indentation etc.
  * tp-conn: indentation etc., remove useless finalize function
  * tp-chan: indentation etc.
  * tp-connmgr: fix indentation
  * tp-connmgr: fix up coding style for tp_connmgr_new_connection, comment a probably-unnecessary check
  * tp-connmgr: fix up coding style for tp_connmgr_new
  * tp-connmgr: fix up coding style for tp_connmgr_new
  * tp-connmgr: clean up coding style, remove useless finalize method and useless get/set property handler assignments
  * tp-connmgr: fix up copyright header
  * tp-connmgr: clean up includes
  * tp-conn: clean up includes
  * tp-chan: clean up #includes
  * Register all marshallers centrally, when a connmgr, conn or chan is first created
  * Add whitelist of interfaces for which code-gen should be done (everything except Contact_Search)
  * Only generate stuff for whitelisted interfaces
  * Comment libtp-marshaller-gen.py better
  * Auto-generate the code that registers D-Bus signals marshallers.
  * Re-order tools/Makefile.am
  * Output better C in libtp-add-signal-gen.py
  * _gen/add-signals.h: add proper dependencies
  * Use auto-generated signal adding for properties interface, connection, connection manager and channel
  * Make ADD_SIGNALS_FOR_foo a function-like macro to avoid hard-coding argument name
  * Auto-generate function bodies in tp-*-ifaces-signal-setters.c
  * Build _gen/add-signals.h
  * configure.ac: require Python
  * Add libtp-add-signal-gen.py
  * Generate a complete spec (i.e. follow all the XIncludes) in _gen
  * Move _gen-interfaces-body.h to new _gen subdirectory
  * Use the auto-generated interface quarks for Properties
  * Use autogenerated interface name stuff in tp-chan too
  * Deprecate the tp_get_conn_*_interface functions
  * Sync spec-to-introspect.xsl from telepathy-spec (comment-only changes)
  * Sync tools from telepathy-glib (comment-only changes)
  * Replace another obsolete function with a call to the autogenerated version
  * Refactoring: fold _tp_conn_register_interface_signal_marshallers into _tp_conn_register_signal_marshallers
  * Use GLib interface name/quark generating machinery from tp-glib; implement the old libtelepathy names as aliases for the tp-glib names
  * register marshallers for Tubes/NewTube and Tubes/DBusNamesChanged

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Thu, 06 Dec 2007 11:34:48 +0100

libtelepathy (0.2.0-0osso1) unstable; urgency=low

  * New upstream release.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Mon, 01 Oct 2007 15:17:10 +0100

libtelepathy (0.0.58-0osso1) unstable; urgency=low

  * New version:
     - adds some robustness against NULL/invalid arguments passed to public
        API functions, and handling GErrors more cautiously

 -- Robert McQueen <robot101@debian.org>  Wed, 26 Sep 2007 10:59:54 +0300

libtelepathy (0.0.57-0osso1) unstable; urgency=low

  * New version.
    - Supports spec version 0.15.5, including GetKnownAvatarTokens().

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Fri, 07 Sep 2007 19:43:47 +0100

libtelepathy (0.0.55-0osso3.2) unstable; urgency=low

  * so-version added to library name

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Wed,  8 Aug 2007 17:52:11 +0300

libtelepathy (0.0.55-0osso3.1) unstable; urgency=low

  * debian/compat file added. Fixes: NB#63066.

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Wed, 11 Jul 2007 14:33:00 +0300

libtelepathy (0.0.55-0osso3) unstable; urgency=low

  * Fix AvatarRetrieved signal registration to have correct type.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu, 05 Jul 2007 17:10:24 +0100

libtelepathy (0.0.55-0osso2) unstable; urgency=low

  * Register AvatarRetrieved signal.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Mon, 02 Jul 2007 15:54:11 +0100

libtelepathy (0.0.55-0osso1) unstable; urgency=low

  * Update to spec version 0.15.4, including:
     - improved signal-based avatar API
     - group change reason for permission denied
     - group method for RemoveWithReason
     - group flag to indicate when handle owners are unavailable
     - new handle-name in GotRooms signal

 -- Robert McQueen <robot101@debian.org>  Thu, 31 May 2007 16:59:09 +0300

libtelepathy (0.0.54-0osso1) unstable; urgency=low

  * Update spec to 0.15.3.
  * Add a better API wrapping RequestConnection which does not implicitly
    call Connect().

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Thu, 03 May 2007 16:29:01 +0100

libtelepathy (0.0.53-0osso1) unstable; urgency=low

  * Update spec to 0.15.2.

 -- Robert McQueen <robot101@debian.org>  Fri, 13 Apr 2007 15:54:54 +0100

libtelepathy (0.0.52-0osso1) unstable; urgency=low

  * Update to spec 0.15.1, with updated DTMF APIs.

 -- Robert McQueen <robot101@debian.org>  Fri, 13 Apr 2007 03:22:49 +0100

libtelepathy (0.0.51-0osso1.1) unstable; urgency=low

  * .la files removed from dev packages

 -- Dmitry Rozhkov <ext-dmitry.1.rozhkov@nokia.com>  Wed, 28 Mar 2007 13:28:15 +0300

libtelepathy (0.0.51-0osso1) unstable; urgency=low

  * Fix parallel-build failures.
  * Add compatibility defines for TelepathyConnectionHandleType and
     TP_MEDIA_STREAM_DIRECTION_RECIEVE.
  * Mark LAST_FOO as deprecated, in favour of NUM_FOO.
  * You can now define LIBTELEPATHY_DISABLE_DEPRECATED to disable these
     deprecated symbol names.
  * Fix assertion errors related to calling dbus_g_error_get_name on GErrors
     which aren't generated from the remote exceptions.

 -- Robert McQueen <robot101@debian.org>  Wed, 28 Feb 2007 12:50:07 +0000

libtelepathy (0.0.50-0osso1) unstable; urgency=low

  * Implement missing tp_props_iface_property_flags function.
  * Generate most source and enums directly from spec.
  * Updated to spec 0.15.0.

 -- Robert McQueen <robot101@debian.org>  Tue, 27 Feb 2007 00:33:32 +0000

libtelepathy (0.0.41-0osso1) unstable; urgency=low

  * New version.
    - update support for .manager files
    - fix missing include in tp-helpers.h

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu, 28 Dec 2006 15:25:34 +0000

libtelepathy (0.0.40-0osso1) unstable; urgency=low

  * Don't synthesize DBus Closed/StatusChanged signals for disposed proxies.
    Fixes: NB#48208.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Mon, 27 Nov 2006 16:34:50 +0000

libtelepathy (0.0.39-0osso1) unstable; urgency=low

  * New upstream release.
    - Build process improvements.
    - Add GetPresence method. Fixes: NB#46868.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu,  9 Nov 2006 11:12:10 +0200

libtelepathy (0.0.38-0osso1.1) unstable; urgency=low

  * dependencies for -dbg package fixed
  * forbidden words removed

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Fri, 13 Oct 2006 13:37:26 +0300

libtelepathy (0.0.38-0osso1) unstable; urgency=low

  * New release.
    - Fix declarations of CapabilitiesChanged and Aliases changed signals.
    - Improve XML generation process.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu, 12 Oct 2006 16:10:20 +0100

libtelepathy (0.0.37-0osso1) unstable; urgency=low

  * add TP_ prefix to media stream pending state constants

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Tue, 12 Sep 2006 17:21:43 +0100

libtelepathy (0.0.36-0osso1) unstable; urgency=low

  * Missing constant definitions (TelepathyChannelGroupChangeReason and
    TelepathyChannelTextMessageFlag) have been added. Fixes: NB#40236

 --  Jussi Laako (MYr) <jussi.laako@nokia.com>  Tue, 12 Sep 2006 16:58:00 +0300

libtelepathy (0.0.35-0osso1) unstable; urgency=low

  * Mark xml/gen-xml.sh as executable.
  * Add .list files to EXTRA_DIST.
  * Distribute gen-xml.sh.

 -- Dafydd Harries <daf@debian.org>  Mon, 11 Sep 2006 14:10:58 +0100

libtelepathy (0.0.34-0osso1) unstable; urgency=low

  * Update to spec version 0.13.5.
  * Add RemoveStream method to StreamedMedia channels, fix RequestStreams to
     return the same as ListStreams, and add a Close signal on media stream
     handlers.

 -- Robert McQueen <robot101@debian.org>  Mon, 11 Sep 2006 11:28:17 +0300

libtelepathy (0.0.33-0osso1) unstable; urgency=low

  * Update to spec version 0.13.4.
  * Bump .so name to 2 due to incompatible changes.

 -- Robert McQueen <robot101@debian.org>  Sun, 10 Sep 2006 16:12:11 +0300

libtelepathy (0.0.32-0osso1) unstable; urgency=low

  * Reverted the way GetInterfaces gets called for new TpConnn objects,
    so that already connected connections get to call it as well. Fixes:
    NB #38722

 -- Jussi Laako (MYr) <jussi.laako@nokia.com>  Fri, 25 Aug 2006 16:49:41 +0300

libtelepathy (0.0.31-0osso2) unstable; urgency=low

  * Fix version in configure.ac.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu, 24 Aug 2006 17:27:14 +0100

libtelepathy (0.0.31-0osso1) unstable; urgency=low

  * New version.
  * Changes:
    - Apply patch from Jens Granseuer for C89 compliance.
    - Add tool for generating interface XML from Telepathy specification.
    - Regenerate interface XML from Telepathy specification.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu, 24 Aug 2006 17:27:14 +0100

libtelepathy (0.0.30-0osso1) unstable; urgency=low

  * Updated libtelepathy to support specifiction 0.13.3 features
    including avatars, SessionHandlers, StreamHandlers and IceSignalling
    interface for channels. Obsolete Subject interface was dropped.

 --  Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Tue, 22 Aug 2006 14:56:50 +0300

libtelepathy (0.0.20-0osso1) unstable; urgency=low

  * rereleased to be consistent with its own version number

 --  Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Wed,  9 Aug 2006 10:15:07 +0300

libtelepathy (0.0.18-1osso1) unstable; urgency=low

  * Reverted troublesome and unnecessary lt major version bump. Fixes:
    NB #35648

 -- Jussi Laako (MYr) <jussi.laako@nokia.com>  Wed, 26 Jul 2006 10:53:29 +0300

libtelepathy (0.0.18-0osso1) unstable; urgency=low

  * InspectHandles method for connections has been added

 -- Jussi Laako (MYr) <jussi.laako@nokia.com>  Thu, 20 Jul 2006 15:42:08 +0300

libtelepathy (0.0.17-0osso1) unstable; urgency=low

  * Autogeneration of Contact Search interface code from XML was
    disabled. Additionally, the handwritten related code is
    disabled. Fixes: NB #34291

 -- Jussi Laako (MYr) <jussi.laako@nokia.com>  Tue, 11 Jul 2006 12:09:25 +0300

libtelepathy (0.0.16-0osso1) unstable; urgency=low

  * When TpChan and TpConn objects are about to be destroyed, Closed and
    StatusChanged signals are synthesized correspondingly. Fixes: NB#28543

 -- Jussi Laako (MYr) <jussi.laako@nokia.com>  Tue, 27 Jun 2006 11:51:39 +0300

libtelepathy (0.0.15-0osso1) unstable; urgency=low

  * New release.
    - Simple build/dist fixes.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Tue, 20 Jun 2006 13:19:54 +0100

libtelepathy (0.0.14-0osso1) unstable; urgency=low

  * New release.
    - Add client-side properties interface.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu, 15 Jun 2006 20:59:08 +0100

libtelepathy (0.0.13-0osso1) unstable; urgency=low

  * Added some missing values to tp-constants.h. Fixes bugs #31670 and
  #31671.
  * Don't destroy connection_parameters hash table. Fixes bug #31643.

 -- Jussi Laako (VSy) <jussi.laako@nokia.com>  Fri,  2 Jun 2006 15:34:16 +0300

libtelepathy (0.0.12-0osso1) unstable; urgency=low

  * Synced tp-constants.h with telepathy-gabble.
  * tp_conn_new() now returns NULL on failure.

 -- Jussi Laako (VSy) <jussi.laako@nokia.com>  Wed, 31 May 2006 13:34:23 +0300

libtelepathy (0.0.11-0osso1) unstable; urgency=low

  * Update for latest stable Telepathy spec, inline with
    telepathy-gabble changes.

 -- Rob Taylor <rob.taylor@collabora.co.uk>  Thu, 25 May 2006 19:06:04 +0100

libtelepathy (0.0.10-0osso1) unstable; urgency=low

  * Libtelepathy now synthesizes Closed signals for channel objects
    while disposing and approriate StatusChanged signals to indicate
    when connections are disconnected. This fixes bug #28543.
  * A small memory leak in the creation of new connection objects was
    fixed (bug #28756)

 -- Jussi Laako (MYr) <jussi.laako@nokia.com>  Fri, 12 May 2006 15:43:58 +0300

libtelepathy (0.0.9-0osso1) unstable; urgency=low

  * New upstream version.
  * Adds support for the org.freedesktop.Telepathy.Properties interface.

 -- Robert McQueen <robot101@debian.org>  Mon, 24 Apr 2006 09:04:09 +0100

libtelepathy (0.0.8-0osso1) unstable; urgency=low

  * New upstream release

 -- Jussi Laako (TIn) <jussi.laako@nokia.com>  Sun,  9 Apr 2006 12:13:02 +0300

libtelepathy (0.0.7-0osso1) unstable; urgency=low

  * New upstream version
  * The StreamStateChanged signal is supported

 -- Jussi Laako (MYr) <jussi.laako@nokia.com>  Thu,  6 Apr 2006 18:02:45 +0300

libtelepathy (0.0.6-0osso1) unstable; urgency=low

  * New upstream version.

 -- Rob Taylor <robtaylor@smtp.messagingengine.com>  Thu,  6 Apr 2006 11:14:25 +0300

libtelepathy (0.0.5-1) unstable; urgency=low

  * Added a function to free a key value list.

 -- Jussi Laako (TIn) <jussi.laako@nokia.com>  Tue,  4 Apr 2006 10:27:33 +0300

libtelepathy (0.0.4-1) unstable; urgency=low

  * Missing unit tests were added.

 -- Jussi Laako (MYr) <jussi.laako@nokia.com>  Wed, 15 Mar 2006 18:37:50 +0200

libtelepathy (0.0.3) unstable; urgency=low

  * Signal marshallers for MembersChanged and CapabilitiesChanged
    signals were incomplete. Fixed.

 --  Jussi Laako (DRo) <jussi.laako@nokia.com>  Mon,  6 Mar 2006 10:48:50 +0200

libtelepathy (0.0.2-1) unstable; urgency=low

  * Fixed the missing signal marshallers / argument signature setups.
  * Fixed buggy dispose handlers for TpConn, TpChan and TpConnMgr
    objects
  * The xml subdirectory Makefile.am now allows overriding of the all
    target

 --  Jussi Laako (DRo) <jussi.laako@nokia.com>  Wed,  1 Mar 2006 09:48:10 +0200

libtelepathy (0.0.1-3) unstable; urgency=low

  * tp_chan_new:
    - add 'type' argument as interface
      in a future patch: additional interfaces should be automatically
      enumerated using GetInterfaces so that the function for manually
      adding those can be removed 
    - made 'type' argument const

 --  Jussi Laako (DRo) <jussi.laako@nokia.com>  Wed, 22 Feb 2006 14:23:51 +0200

libtelepathy (0.0.1-2) unstable; urgency=low

  * initial release

 -- Jussi Laako (RKe) <jussi.laako@nokia.com>  Fri, 25 Nov 2005 11:55:03 +0200

